# Generated from saml_camel-1.0.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name saml_camel

Name: rubygem-%{gem_name}
Version: 1.0.10
Release: 1%{?dist}
Summary: SAML tool wrapping onelogin/rubysaml
License: MIT
URL: https://gitlab.oit.duke.edu/da129/saml_camel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(ruby-saml) >= 1.7.2
BuildArch: noarch

%description
SAML tool wrapping onelogin/rubysaml.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.10-1
- Initial package
